depends = ( 'Base', 'BaseTransforms',)
templates = (
  ('KernelTransform', 'itk::KernelTransform', 'itkKernelTransformD2', 'double,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkKernelTransformD2_Pointer', 'itk::KernelTransform< double,2 >'),
  ('KernelTransform', 'itk::KernelTransform', 'itkKernelTransformD3', 'double,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkKernelTransformD3_Pointer', 'itk::KernelTransform< double,3 >'),
  ('BSplineDeformableTransform', 'itk::BSplineDeformableTransform', 'itkBSplineDeformableTransformD22', 'double,2,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBSplineDeformableTransformD22_Pointer', 'itk::BSplineDeformableTransform< double,2,2 >'),
  ('BSplineDeformableTransform', 'itk::BSplineDeformableTransform', 'itkBSplineDeformableTransformD33', 'double,3,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBSplineDeformableTransformD33_Pointer', 'itk::BSplineDeformableTransform< double,3,3 >'),
  ('ElasticBodyReciprocalSplineKernelTransform', 'itk::ElasticBodyReciprocalSplineKernelTransform', 'itkElasticBodyReciprocalSplineKernelTransformD2', 'double,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkElasticBodyReciprocalSplineKernelTransformD2_Pointer', 'itk::ElasticBodyReciprocalSplineKernelTransform< double,2 >'),
  ('ElasticBodyReciprocalSplineKernelTransform', 'itk::ElasticBodyReciprocalSplineKernelTransform', 'itkElasticBodyReciprocalSplineKernelTransformD3', 'double,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkElasticBodyReciprocalSplineKernelTransformD3_Pointer', 'itk::ElasticBodyReciprocalSplineKernelTransform< double,3 >'),
  ('ElasticBodySplineKernelTransform', 'itk::ElasticBodySplineKernelTransform', 'itkElasticBodySplineKernelTransformD2', 'double,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkElasticBodySplineKernelTransformD2_Pointer', 'itk::ElasticBodySplineKernelTransform< double,2 >'),
  ('ElasticBodySplineKernelTransform', 'itk::ElasticBodySplineKernelTransform', 'itkElasticBodySplineKernelTransformD3', 'double,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkElasticBodySplineKernelTransformD3_Pointer', 'itk::ElasticBodySplineKernelTransform< double,3 >'),
  ('ThinPlateR2LogRSplineKernelTransform', 'itk::ThinPlateR2LogRSplineKernelTransform', 'itkThinPlateR2LogRSplineKernelTransformD2', 'double,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkThinPlateR2LogRSplineKernelTransformD2_Pointer', 'itk::ThinPlateR2LogRSplineKernelTransform< double,2 >'),
  ('ThinPlateR2LogRSplineKernelTransform', 'itk::ThinPlateR2LogRSplineKernelTransform', 'itkThinPlateR2LogRSplineKernelTransformD3', 'double,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkThinPlateR2LogRSplineKernelTransformD3_Pointer', 'itk::ThinPlateR2LogRSplineKernelTransform< double,3 >'),
  ('ThinPlateSplineKernelTransform', 'itk::ThinPlateSplineKernelTransform', 'itkThinPlateSplineKernelTransformD2', 'double,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkThinPlateSplineKernelTransformD2_Pointer', 'itk::ThinPlateSplineKernelTransform< double,2 >'),
  ('ThinPlateSplineKernelTransform', 'itk::ThinPlateSplineKernelTransform', 'itkThinPlateSplineKernelTransformD3', 'double,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkThinPlateSplineKernelTransformD3_Pointer', 'itk::ThinPlateSplineKernelTransform< double,3 >'),
  ('VolumeSplineKernelTransform', 'itk::VolumeSplineKernelTransform', 'itkVolumeSplineKernelTransformD2', 'double,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVolumeSplineKernelTransformD2_Pointer', 'itk::VolumeSplineKernelTransform< double,2 >'),
  ('VolumeSplineKernelTransform', 'itk::VolumeSplineKernelTransform', 'itkVolumeSplineKernelTransformD3', 'double,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVolumeSplineKernelTransformD3_Pointer', 'itk::VolumeSplineKernelTransform< double,3 >'),
)
