depends = ( 'Base',)
templates = (
  ('CurvatureFlowImageFilter', 'itk::CurvatureFlowImageFilter', 'itkCurvatureFlowImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCurvatureFlowImageFilterIF2IF2_Pointer', 'itk::CurvatureFlowImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('CurvatureFlowImageFilter', 'itk::CurvatureFlowImageFilter', 'itkCurvatureFlowImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCurvatureFlowImageFilterIF3IF3_Pointer', 'itk::CurvatureFlowImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('MinMaxCurvatureFlowImageFilter', 'itk::MinMaxCurvatureFlowImageFilter', 'itkMinMaxCurvatureFlowImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMinMaxCurvatureFlowImageFilterIF2IF2_Pointer', 'itk::MinMaxCurvatureFlowImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('MinMaxCurvatureFlowImageFilter', 'itk::MinMaxCurvatureFlowImageFilter', 'itkMinMaxCurvatureFlowImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMinMaxCurvatureFlowImageFilterIF3IF3_Pointer', 'itk::MinMaxCurvatureFlowImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryImageFilterIUC2IUC2_Pointer', 'itk::VotingBinaryImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryImageFilterIUC3IUC3_Pointer', 'itk::VotingBinaryImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryImageFilterIUS2IUS2_Pointer', 'itk::VotingBinaryImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryImageFilterIUS3IUS3_Pointer', 'itk::VotingBinaryImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryImageFilterISS2ISS2_Pointer', 'itk::VotingBinaryImageFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryImageFilterISS3ISS3_Pointer', 'itk::VotingBinaryImageFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryImageFilterIF2IF2_Pointer', 'itk::VotingBinaryImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('VotingBinaryImageFilter', 'itk::VotingBinaryImageFilter', 'itkVotingBinaryImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryImageFilterIF3IF3_Pointer', 'itk::VotingBinaryImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAnisotropicDiffusionImageFilterIF2IF2_Pointer', 'itk::AnisotropicDiffusionImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('AnisotropicDiffusionImageFilter', 'itk::AnisotropicDiffusionImageFilter', 'itkAnisotropicDiffusionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAnisotropicDiffusionImageFilterIF3IF3_Pointer', 'itk::AnisotropicDiffusionImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBilateralImageFilterISS2ISS2_Pointer', 'itk::BilateralImageFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBilateralImageFilterISS3ISS3_Pointer', 'itk::BilateralImageFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBilateralImageFilterIUC2IUC2_Pointer', 'itk::BilateralImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBilateralImageFilterIUC3IUC3_Pointer', 'itk::BilateralImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBilateralImageFilterIUS2IUS2_Pointer', 'itk::BilateralImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBilateralImageFilterIUS3IUS3_Pointer', 'itk::BilateralImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBilateralImageFilterIF2IF2_Pointer', 'itk::BilateralImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBilateralImageFilterIF3IF3_Pointer', 'itk::BilateralImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBinaryMedianImageFilterIUC2IUC2_Pointer', 'itk::BinaryMedianImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBinaryMedianImageFilterIUC3IUC3_Pointer', 'itk::BinaryMedianImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBinaryMedianImageFilterIUS2IUS2_Pointer', 'itk::BinaryMedianImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBinaryMedianImageFilterIUS3IUS3_Pointer', 'itk::BinaryMedianImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBinaryMedianImageFilterISS2ISS2_Pointer', 'itk::BinaryMedianImageFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBinaryMedianImageFilterISS3ISS3_Pointer', 'itk::BinaryMedianImageFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBinaryMedianImageFilterIF2IF2_Pointer', 'itk::BinaryMedianImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('BinaryMedianImageFilter', 'itk::BinaryMedianImageFilter', 'itkBinaryMedianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBinaryMedianImageFilterIF3IF3_Pointer', 'itk::BinaryMedianImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('BinaryMinMaxCurvatureFlowImageFilter', 'itk::BinaryMinMaxCurvatureFlowImageFilter', 'itkBinaryMinMaxCurvatureFlowImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBinaryMinMaxCurvatureFlowImageFilterIF2IF2_Pointer', 'itk::BinaryMinMaxCurvatureFlowImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('BinaryMinMaxCurvatureFlowImageFilter', 'itk::BinaryMinMaxCurvatureFlowImageFilter', 'itkBinaryMinMaxCurvatureFlowImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBinaryMinMaxCurvatureFlowImageFilterIF3IF3_Pointer', 'itk::BinaryMinMaxCurvatureFlowImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('CurvatureAnisotropicDiffusionImageFilter', 'itk::CurvatureAnisotropicDiffusionImageFilter', 'itkCurvatureAnisotropicDiffusionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCurvatureAnisotropicDiffusionImageFilterIF2IF2_Pointer', 'itk::CurvatureAnisotropicDiffusionImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('CurvatureAnisotropicDiffusionImageFilter', 'itk::CurvatureAnisotropicDiffusionImageFilter', 'itkCurvatureAnisotropicDiffusionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCurvatureAnisotropicDiffusionImageFilterIF3IF3_Pointer', 'itk::CurvatureAnisotropicDiffusionImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('GradientAnisotropicDiffusionImageFilter', 'itk::GradientAnisotropicDiffusionImageFilter', 'itkGradientAnisotropicDiffusionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientAnisotropicDiffusionImageFilterIF2IF2_Pointer', 'itk::GradientAnisotropicDiffusionImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('GradientAnisotropicDiffusionImageFilter', 'itk::GradientAnisotropicDiffusionImageFilter', 'itkGradientAnisotropicDiffusionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGradientAnisotropicDiffusionImageFilterIF3IF3_Pointer', 'itk::GradientAnisotropicDiffusionImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanImageFilterIUC2IUC2_Pointer', 'itk::MeanImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanImageFilterIUC3IUC3_Pointer', 'itk::MeanImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanImageFilterIUS2IUS2_Pointer', 'itk::MeanImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanImageFilterIUS3IUS3_Pointer', 'itk::MeanImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanImageFilterISS2ISS2_Pointer', 'itk::MeanImageFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanImageFilterISS3ISS3_Pointer', 'itk::MeanImageFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanImageFilterIF2IF2_Pointer', 'itk::MeanImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('MeanImageFilter', 'itk::MeanImageFilter', 'itkMeanImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanImageFilterIF3IF3_Pointer', 'itk::MeanImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMedianImageFilterIUC2IUC2_Pointer', 'itk::MedianImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMedianImageFilterIUC3IUC3_Pointer', 'itk::MedianImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMedianImageFilterIUS2IUS2_Pointer', 'itk::MedianImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMedianImageFilterIUS3IUS3_Pointer', 'itk::MedianImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMedianImageFilterISS2ISS2_Pointer', 'itk::MedianImageFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMedianImageFilterISS3ISS3_Pointer', 'itk::MedianImageFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMedianImageFilterIF2IF2_Pointer', 'itk::MedianImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('MedianImageFilter', 'itk::MedianImageFilter', 'itkMedianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMedianImageFilterIF3IF3_Pointer', 'itk::MedianImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('VotingBinaryHoleFillingImageFilter', 'itk::VotingBinaryHoleFillingImageFilter', 'itkVotingBinaryHoleFillingImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryHoleFillingImageFilterIUC2IUC2_Pointer', 'itk::VotingBinaryHoleFillingImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('VotingBinaryHoleFillingImageFilter', 'itk::VotingBinaryHoleFillingImageFilter', 'itkVotingBinaryHoleFillingImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryHoleFillingImageFilterIUC3IUC3_Pointer', 'itk::VotingBinaryHoleFillingImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('VotingBinaryHoleFillingImageFilter', 'itk::VotingBinaryHoleFillingImageFilter', 'itkVotingBinaryHoleFillingImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryHoleFillingImageFilterIUS2IUS2_Pointer', 'itk::VotingBinaryHoleFillingImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('VotingBinaryHoleFillingImageFilter', 'itk::VotingBinaryHoleFillingImageFilter', 'itkVotingBinaryHoleFillingImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryHoleFillingImageFilterIUS3IUS3_Pointer', 'itk::VotingBinaryHoleFillingImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('VotingBinaryHoleFillingImageFilter', 'itk::VotingBinaryHoleFillingImageFilter', 'itkVotingBinaryHoleFillingImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryHoleFillingImageFilterISS2ISS2_Pointer', 'itk::VotingBinaryHoleFillingImageFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('VotingBinaryHoleFillingImageFilter', 'itk::VotingBinaryHoleFillingImageFilter', 'itkVotingBinaryHoleFillingImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryHoleFillingImageFilterISS3ISS3_Pointer', 'itk::VotingBinaryHoleFillingImageFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('VotingBinaryIterativeHoleFillingImageFilter', 'itk::VotingBinaryIterativeHoleFillingImageFilter', 'itkVotingBinaryIterativeHoleFillingImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryIterativeHoleFillingImageFilterIUC2_Pointer', 'itk::VotingBinaryIterativeHoleFillingImageFilter< itk::Image< unsigned char,2 > >'),
  ('VotingBinaryIterativeHoleFillingImageFilter', 'itk::VotingBinaryIterativeHoleFillingImageFilter', 'itkVotingBinaryIterativeHoleFillingImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryIterativeHoleFillingImageFilterIUC3_Pointer', 'itk::VotingBinaryIterativeHoleFillingImageFilter< itk::Image< unsigned char,3 > >'),
  ('VotingBinaryIterativeHoleFillingImageFilter', 'itk::VotingBinaryIterativeHoleFillingImageFilter', 'itkVotingBinaryIterativeHoleFillingImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryIterativeHoleFillingImageFilterIUS2_Pointer', 'itk::VotingBinaryIterativeHoleFillingImageFilter< itk::Image< unsigned short,2 > >'),
  ('VotingBinaryIterativeHoleFillingImageFilter', 'itk::VotingBinaryIterativeHoleFillingImageFilter', 'itkVotingBinaryIterativeHoleFillingImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryIterativeHoleFillingImageFilterIUS3_Pointer', 'itk::VotingBinaryIterativeHoleFillingImageFilter< itk::Image< unsigned short,3 > >'),
  ('VotingBinaryIterativeHoleFillingImageFilter', 'itk::VotingBinaryIterativeHoleFillingImageFilter', 'itkVotingBinaryIterativeHoleFillingImageFilterISS2', 'itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryIterativeHoleFillingImageFilterISS2_Pointer', 'itk::VotingBinaryIterativeHoleFillingImageFilter< itk::Image< signed short,2 > >'),
  ('VotingBinaryIterativeHoleFillingImageFilter', 'itk::VotingBinaryIterativeHoleFillingImageFilter', 'itkVotingBinaryIterativeHoleFillingImageFilterISS3', 'itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVotingBinaryIterativeHoleFillingImageFilterISS3_Pointer', 'itk::VotingBinaryIterativeHoleFillingImageFilter< itk::Image< signed short,3 > >'),
)
