depends = ( 'Base',)
templates = (
  ('ImageIOBase', 'itk::ImageIOBase', 'itkImageIOBase'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageIOBase_Pointer', 'itk::ImageIOBase'),
  ('IPLCommonImageIO', 'itk::IPLCommonImageIO', 'itkIPLCommonImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkIPLCommonImageIO_Pointer', 'itk::IPLCommonImageIO'),
  ('TransformFileReader', 'itk::TransformFileReader', 'itkTransformFileReader'),
  ('SmartPointer', 'itk::SmartPointer', 'itkTransformFileReader_Pointer', 'itk::TransformFileReader'),
  ('TransformFileWriter', 'itk::TransformFileWriter', 'itkTransformFileWriter'),
  ('SmartPointer', 'itk::SmartPointer', 'itkTransformFileWriter_Pointer', 'itk::TransformFileWriter'),
  ('RawImageIO', 'itk::RawImageIO', 'itkRawImageIOF2', 'float,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRawImageIOF2_Pointer', 'itk::RawImageIO< float,2 >'),
  ('RawImageIO', 'itk::RawImageIO', 'itkRawImageIOF3', 'float,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRawImageIOF3_Pointer', 'itk::RawImageIO< float,3 >'),
  ('AnalyzeImageIO', 'itk::AnalyzeImageIO', 'itkAnalyzeImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAnalyzeImageIO_Pointer', 'itk::AnalyzeImageIO'),
  ('AnalyzeImageIOFactory', 'itk::AnalyzeImageIOFactory', 'itkAnalyzeImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkAnalyzeImageIOFactory_Pointer', 'itk::AnalyzeImageIOFactory'),
  ('BioRadImageIO', 'itk::BioRadImageIO', 'itkBioRadImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBioRadImageIO_Pointer', 'itk::BioRadImageIO'),
  ('BioRadImageIOFactory', 'itk::BioRadImageIOFactory', 'itkBioRadImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBioRadImageIOFactory_Pointer', 'itk::BioRadImageIOFactory'),
  ('BMPImageIO', 'itk::BMPImageIO', 'itkBMPImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBMPImageIO_Pointer', 'itk::BMPImageIO'),
  ('BMPImageIOFactory', 'itk::BMPImageIOFactory', 'itkBMPImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBMPImageIOFactory_Pointer', 'itk::BMPImageIOFactory'),
  ('Brains2MaskImageIO', 'itk::Brains2MaskImageIO', 'itkBrains2MaskImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBrains2MaskImageIO_Pointer', 'itk::Brains2MaskImageIO'),
  ('Brains2MaskImageIOFactory', 'itk::Brains2MaskImageIOFactory', 'itkBrains2MaskImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkBrains2MaskImageIOFactory_Pointer', 'itk::Brains2MaskImageIOFactory'),
  ('DICOMImageIO2', 'itk::DICOMImageIO2', 'itkDICOMImageIO2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDICOMImageIO2_Pointer', 'itk::DICOMImageIO2'),
  ('DICOMImageIO2Factory', 'itk::DICOMImageIO2Factory', 'itkDICOMImageIO2Factory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDICOMImageIO2Factory_Pointer', 'itk::DICOMImageIO2Factory'),
  ('GDCMImageIO', 'itk::GDCMImageIO', 'itkGDCMImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGDCMImageIO_Pointer', 'itk::GDCMImageIO'),
  ('GDCMImageIOFactory', 'itk::GDCMImageIOFactory', 'itkGDCMImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGDCMImageIOFactory_Pointer', 'itk::GDCMImageIOFactory'),
  ('DicomImageIO', 'itk::DicomImageIO', 'itkDicomImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDicomImageIO_Pointer', 'itk::DicomImageIO'),
  ('DicomImageIOFactory', 'itk::DicomImageIOFactory', 'itkDicomImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDicomImageIOFactory_Pointer', 'itk::DicomImageIOFactory'),
  ('GE4ImageIO', 'itk::GE4ImageIO', 'itkGE4ImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGE4ImageIO_Pointer', 'itk::GE4ImageIO'),
  ('GE4ImageIOFactory', 'itk::GE4ImageIOFactory', 'itkGE4ImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGE4ImageIOFactory_Pointer', 'itk::GE4ImageIOFactory'),
  ('GE5ImageIO', 'itk::GE5ImageIO', 'itkGE5ImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGE5ImageIO_Pointer', 'itk::GE5ImageIO'),
  ('GE5ImageIOFactory', 'itk::GE5ImageIOFactory', 'itkGE5ImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGE5ImageIOFactory_Pointer', 'itk::GE5ImageIOFactory'),
  ('GEAdwImageIO', 'itk::GEAdwImageIO', 'itkGEAdwImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGEAdwImageIO_Pointer', 'itk::GEAdwImageIO'),
  ('GEAdwImageIOFactory', 'itk::GEAdwImageIOFactory', 'itkGEAdwImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGEAdwImageIOFactory_Pointer', 'itk::GEAdwImageIOFactory'),
  ('GiplImageIO', 'itk::GiplImageIO', 'itkGiplImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGiplImageIO_Pointer', 'itk::GiplImageIO'),
  ('GiplImageIOFactory', 'itk::GiplImageIOFactory', 'itkGiplImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGiplImageIOFactory_Pointer', 'itk::GiplImageIOFactory'),
  ('JPEGImageIO', 'itk::JPEGImageIO', 'itkJPEGImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkJPEGImageIO_Pointer', 'itk::JPEGImageIO'),
  ('JPEGImageIOFactory', 'itk::JPEGImageIOFactory', 'itkJPEGImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkJPEGImageIOFactory_Pointer', 'itk::JPEGImageIOFactory'),
  ('TIFFImageIO', 'itk::TIFFImageIO', 'itkTIFFImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkTIFFImageIO_Pointer', 'itk::TIFFImageIO'),
  ('TIFFImageIOFactory', 'itk::TIFFImageIOFactory', 'itkTIFFImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkTIFFImageIOFactory_Pointer', 'itk::TIFFImageIOFactory'),
  ('LSMImageIO', 'itk::LSMImageIO', 'itkLSMImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLSMImageIO_Pointer', 'itk::LSMImageIO'),
  ('LSMImageIOFactory', 'itk::LSMImageIOFactory', 'itkLSMImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLSMImageIOFactory_Pointer', 'itk::LSMImageIOFactory'),
  ('MetaImageIO', 'itk::MetaImageIO', 'itkMetaImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMetaImageIO_Pointer', 'itk::MetaImageIO'),
  ('MetaImageIOFactory', 'itk::MetaImageIOFactory', 'itkMetaImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMetaImageIOFactory_Pointer', 'itk::MetaImageIOFactory'),
  ('NiftiImageIO', 'itk::NiftiImageIO', 'itkNiftiImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNiftiImageIO_Pointer', 'itk::NiftiImageIO'),
  ('NiftiImageIOFactory', 'itk::NiftiImageIOFactory', 'itkNiftiImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNiftiImageIOFactory_Pointer', 'itk::NiftiImageIOFactory'),
  ('NrrdImageIO', 'itk::NrrdImageIO', 'itkNrrdImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNrrdImageIO_Pointer', 'itk::NrrdImageIO'),
  ('NrrdImageIOFactory', 'itk::NrrdImageIOFactory', 'itkNrrdImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNrrdImageIOFactory_Pointer', 'itk::NrrdImageIOFactory'),
  ('PNGImageIO', 'itk::PNGImageIO', 'itkPNGImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPNGImageIO_Pointer', 'itk::PNGImageIO'),
  ('PNGImageIOFactory', 'itk::PNGImageIOFactory', 'itkPNGImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPNGImageIOFactory_Pointer', 'itk::PNGImageIOFactory'),
  ('SiemensVisionImageIO', 'itk::SiemensVisionImageIO', 'itkSiemensVisionImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSiemensVisionImageIO_Pointer', 'itk::SiemensVisionImageIO'),
  ('SiemensVisionImageIOFactory', 'itk::SiemensVisionImageIOFactory', 'itkSiemensVisionImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSiemensVisionImageIOFactory_Pointer', 'itk::SiemensVisionImageIOFactory'),
  ('StimulateImageIO', 'itk::StimulateImageIO', 'itkStimulateImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkStimulateImageIO_Pointer', 'itk::StimulateImageIO'),
  ('StimulateImageIOFactory', 'itk::StimulateImageIOFactory', 'itkStimulateImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkStimulateImageIOFactory_Pointer', 'itk::StimulateImageIOFactory'),
  ('VTKImageIO', 'itk::VTKImageIO', 'itkVTKImageIO'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageIO_Pointer', 'itk::VTKImageIO'),
  ('VTKImageIOFactory', 'itk::VTKImageIOFactory', 'itkVTKImageIOFactory'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageIOFactory_Pointer', 'itk::VTKImageIOFactory'),
  ('ArchetypeSeriesFileNames', 'itk::ArchetypeSeriesFileNames', 'itkArchetypeSeriesFileNames'),
  ('SmartPointer', 'itk::SmartPointer', 'itkArchetypeSeriesFileNames_Pointer', 'itk::ArchetypeSeriesFileNames'),
  ('DICOMSeriesFileNames', 'itk::DICOMSeriesFileNames', 'itkDICOMSeriesFileNames'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDICOMSeriesFileNames_Pointer', 'itk::DICOMSeriesFileNames'),
  ('GDCMSeriesFileNames', 'itk::GDCMSeriesFileNames', 'itkGDCMSeriesFileNames'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGDCMSeriesFileNames_Pointer', 'itk::GDCMSeriesFileNames'),
  ('NumericSeriesFileNames', 'itk::NumericSeriesFileNames', 'itkNumericSeriesFileNames'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNumericSeriesFileNames_Pointer', 'itk::NumericSeriesFileNames'),
  ('RegularExpressionSeriesFileNames', 'itk::RegularExpressionSeriesFileNames', 'itkRegularExpressionSeriesFileNames'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRegularExpressionSeriesFileNames_Pointer', 'itk::RegularExpressionSeriesFileNames'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderIUC2_Pointer', 'itk::ImageFileReader< itk::Image< unsigned char,2 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderIUC3_Pointer', 'itk::ImageFileReader< itk::Image< unsigned char,3 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderIRGBUC2_Pointer', 'itk::ImageFileReader< itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderIRGBUC3_Pointer', 'itk::ImageFileReader< itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderIRGBUS2_Pointer', 'itk::ImageFileReader< itk::Image< itk::RGBPixel< unsigned short >,2 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderIRGBUS3_Pointer', 'itk::ImageFileReader< itk::Image< itk::RGBPixel< unsigned short >,3 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderIRGBAUS2_Pointer', 'itk::ImageFileReader< itk::Image< itk::RGBAPixel< unsigned short >,2 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderIRGBAUS3_Pointer', 'itk::ImageFileReader< itk::Image< itk::RGBAPixel< unsigned short >,3 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderIVF22_Pointer', 'itk::ImageFileReader< itk::Image< itk::Vector< float,2 >,2 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderIVF33_Pointer', 'itk::ImageFileReader< itk::Image< itk::Vector< float,3 >,3 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderICVF22_Pointer', 'itk::ImageFileReader< itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderICVF33_Pointer', 'itk::ImageFileReader< itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderISS2', 'itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderISS2_Pointer', 'itk::ImageFileReader< itk::Image< signed short,2 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderISS3', 'itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderISS3_Pointer', 'itk::ImageFileReader< itk::Image< signed short,3 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderIUS2_Pointer', 'itk::ImageFileReader< itk::Image< unsigned short,2 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderIUS3_Pointer', 'itk::ImageFileReader< itk::Image< unsigned short,3 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderIF2_Pointer', 'itk::ImageFileReader< itk::Image< float,2 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderIF3_Pointer', 'itk::ImageFileReader< itk::Image< float,3 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICF2', 'itk::Image< std::complex< float >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderICF2_Pointer', 'itk::ImageFileReader< itk::Image< std::complex< float >,2 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICF3', 'itk::Image< std::complex< float >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderICF3_Pointer', 'itk::ImageFileReader< itk::Image< std::complex< float >,3 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVISS2', 'itk::VectorImage< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderVISS2_Pointer', 'itk::ImageFileReader< itk::VectorImage< signed short,2 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUC2', 'itk::VectorImage< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderVIUC2_Pointer', 'itk::ImageFileReader< itk::VectorImage< unsigned char,2 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUS2', 'itk::VectorImage< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderVIUS2_Pointer', 'itk::ImageFileReader< itk::VectorImage< unsigned short,2 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIF2', 'itk::VectorImage< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderVIF2_Pointer', 'itk::ImageFileReader< itk::VectorImage< float,2 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVISS3', 'itk::VectorImage< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderVISS3_Pointer', 'itk::ImageFileReader< itk::VectorImage< signed short,3 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUC3', 'itk::VectorImage< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderVIUC3_Pointer', 'itk::ImageFileReader< itk::VectorImage< unsigned char,3 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUS3', 'itk::VectorImage< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderVIUS3_Pointer', 'itk::ImageFileReader< itk::VectorImage< unsigned short,3 > >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIF3', 'itk::VectorImage< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileReaderVIF3_Pointer', 'itk::ImageFileReader< itk::VectorImage< float,3 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterIUC2_Pointer', 'itk::ImageFileWriter< itk::Image< unsigned char,2 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterIUC3_Pointer', 'itk::ImageFileWriter< itk::Image< unsigned char,3 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterIRGBUC2_Pointer', 'itk::ImageFileWriter< itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterIRGBUC3_Pointer', 'itk::ImageFileWriter< itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterIRGBUS2_Pointer', 'itk::ImageFileWriter< itk::Image< itk::RGBPixel< unsigned short >,2 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterIRGBUS3_Pointer', 'itk::ImageFileWriter< itk::Image< itk::RGBPixel< unsigned short >,3 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterIRGBAUS2_Pointer', 'itk::ImageFileWriter< itk::Image< itk::RGBAPixel< unsigned short >,2 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterIRGBAUS3_Pointer', 'itk::ImageFileWriter< itk::Image< itk::RGBAPixel< unsigned short >,3 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterIVF22_Pointer', 'itk::ImageFileWriter< itk::Image< itk::Vector< float,2 >,2 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterIVF33_Pointer', 'itk::ImageFileWriter< itk::Image< itk::Vector< float,3 >,3 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterICVF22_Pointer', 'itk::ImageFileWriter< itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterICVF33_Pointer', 'itk::ImageFileWriter< itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterISS2', 'itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterISS2_Pointer', 'itk::ImageFileWriter< itk::Image< signed short,2 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterISS3', 'itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterISS3_Pointer', 'itk::ImageFileWriter< itk::Image< signed short,3 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterIUS2_Pointer', 'itk::ImageFileWriter< itk::Image< unsigned short,2 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterIUS3_Pointer', 'itk::ImageFileWriter< itk::Image< unsigned short,3 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterIF2_Pointer', 'itk::ImageFileWriter< itk::Image< float,2 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterIF3_Pointer', 'itk::ImageFileWriter< itk::Image< float,3 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICF2', 'itk::Image< std::complex< float >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterICF2_Pointer', 'itk::ImageFileWriter< itk::Image< std::complex< float >,2 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICF3', 'itk::Image< std::complex< float >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterICF3_Pointer', 'itk::ImageFileWriter< itk::Image< std::complex< float >,3 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVISS2', 'itk::VectorImage< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterVISS2_Pointer', 'itk::ImageFileWriter< itk::VectorImage< signed short,2 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUC2', 'itk::VectorImage< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterVIUC2_Pointer', 'itk::ImageFileWriter< itk::VectorImage< unsigned char,2 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUS2', 'itk::VectorImage< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterVIUS2_Pointer', 'itk::ImageFileWriter< itk::VectorImage< unsigned short,2 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIF2', 'itk::VectorImage< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterVIF2_Pointer', 'itk::ImageFileWriter< itk::VectorImage< float,2 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVISS3', 'itk::VectorImage< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterVISS3_Pointer', 'itk::ImageFileWriter< itk::VectorImage< signed short,3 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUC3', 'itk::VectorImage< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterVIUC3_Pointer', 'itk::ImageFileWriter< itk::VectorImage< unsigned char,3 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUS3', 'itk::VectorImage< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterVIUS3_Pointer', 'itk::ImageFileWriter< itk::VectorImage< unsigned short,3 > >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIF3', 'itk::VectorImage< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageFileWriterVIF3_Pointer', 'itk::ImageFileWriter< itk::VectorImage< float,3 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderIUC2_Pointer', 'itk::ImageSeriesReader< itk::Image< unsigned char,2 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderIUC3_Pointer', 'itk::ImageSeriesReader< itk::Image< unsigned char,3 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderIRGBUC2_Pointer', 'itk::ImageSeriesReader< itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderIRGBUC3_Pointer', 'itk::ImageSeriesReader< itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderIRGBUS2_Pointer', 'itk::ImageSeriesReader< itk::Image< itk::RGBPixel< unsigned short >,2 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderIRGBUS3_Pointer', 'itk::ImageSeriesReader< itk::Image< itk::RGBPixel< unsigned short >,3 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderIRGBAUS2_Pointer', 'itk::ImageSeriesReader< itk::Image< itk::RGBAPixel< unsigned short >,2 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderIRGBAUS3_Pointer', 'itk::ImageSeriesReader< itk::Image< itk::RGBAPixel< unsigned short >,3 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderIVF22_Pointer', 'itk::ImageSeriesReader< itk::Image< itk::Vector< float,2 >,2 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderIVF33_Pointer', 'itk::ImageSeriesReader< itk::Image< itk::Vector< float,3 >,3 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderICVF22_Pointer', 'itk::ImageSeriesReader< itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderICVF33_Pointer', 'itk::ImageSeriesReader< itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderISS2', 'itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderISS2_Pointer', 'itk::ImageSeriesReader< itk::Image< signed short,2 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderISS3', 'itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderISS3_Pointer', 'itk::ImageSeriesReader< itk::Image< signed short,3 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderIUS2_Pointer', 'itk::ImageSeriesReader< itk::Image< unsigned short,2 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderIUS3_Pointer', 'itk::ImageSeriesReader< itk::Image< unsigned short,3 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderIF2_Pointer', 'itk::ImageSeriesReader< itk::Image< float,2 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderIF3_Pointer', 'itk::ImageSeriesReader< itk::Image< float,3 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICF2', 'itk::Image< std::complex< float >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderICF2_Pointer', 'itk::ImageSeriesReader< itk::Image< std::complex< float >,2 > >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICF3', 'itk::Image< std::complex< float >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesReaderICF3_Pointer', 'itk::ImageSeriesReader< itk::Image< std::complex< float >,3 > >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUC3IUC2', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesWriterIUC3IUC2_Pointer', 'itk::ImageSeriesWriter< itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 > >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterISS3ISS2', 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesWriterISS3ISS2_Pointer', 'itk::ImageSeriesWriter< itk::Image< signed short,3 >,itk::Image< signed short,2 > >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUS3IUS2', 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesWriterIUS3IUS2_Pointer', 'itk::ImageSeriesWriter< itk::Image< unsigned short,3 >,itk::Image< unsigned short,2 > >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIF3IF2', 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesWriterIF3IF2_Pointer', 'itk::ImageSeriesWriter< itk::Image< float,3 >,itk::Image< float,2 > >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBUC3IRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,3 >,itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesWriterIRGBUC3IRGBUC2_Pointer', 'itk::ImageSeriesWriter< itk::Image< itk::RGBPixel< unsigned char >,3 >,itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBUS3IRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,3 >,itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageSeriesWriterIRGBUS3IRGBUS2_Pointer', 'itk::ImageSeriesWriter< itk::Image< itk::RGBPixel< unsigned short >,3 >,itk::Image< itk::RGBPixel< unsigned short >,2 > >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterIRGBUC3IRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkOrientImageFilterIRGBUC3IRGBUC3_Pointer', 'itk::OrientImageFilter< itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterIRGBUS3IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkOrientImageFilterIRGBUS3IRGBUS3_Pointer', 'itk::OrientImageFilter< itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 > >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterIRGBAUS3IRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkOrientImageFilterIRGBAUS3IRGBAUS3_Pointer', 'itk::OrientImageFilter< itk::Image< itk::RGBAPixel< unsigned short >,3 >, itk::Image< itk::RGBAPixel< unsigned short >,3 > >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkOrientImageFilterIVF33IVF33_Pointer', 'itk::OrientImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkOrientImageFilterICVF33ICVF33_Pointer', 'itk::OrientImageFilter< itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkOrientImageFilterISS3ISS3_Pointer', 'itk::OrientImageFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkOrientImageFilterIUC3IUC3_Pointer', 'itk::OrientImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkOrientImageFilterIUS3IUS3_Pointer', 'itk::OrientImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkOrientImageFilterIF3IF3_Pointer', 'itk::OrientImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('OrientImageFilter', 'itk::OrientImageFilter', 'itkOrientImageFilterICF3ICF3', 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkOrientImageFilterICF3ICF3_Pointer', 'itk::OrientImageFilter< itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 > >'),
)
