depends = ( 'Base', 'BaseNumerics', 'BaseTransforms', 'BaseSpatialObject',)
templates = (
  ('PDEDeformableRegistrationFilter', 'itk::PDEDeformableRegistrationFilter', 'itkPDEDeformableRegistrationFilterISS2ISS2IVF22', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPDEDeformableRegistrationFilterISS2ISS2IVF22_Pointer', 'itk::PDEDeformableRegistrationFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('PDEDeformableRegistrationFilter', 'itk::PDEDeformableRegistrationFilter', 'itkPDEDeformableRegistrationFilterISS3ISS3IVF33', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPDEDeformableRegistrationFilterISS3ISS3IVF33_Pointer', 'itk::PDEDeformableRegistrationFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('PDEDeformableRegistrationFilter', 'itk::PDEDeformableRegistrationFilter', 'itkPDEDeformableRegistrationFilterIUC2IUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPDEDeformableRegistrationFilterIUC2IUC2IVF22_Pointer', 'itk::PDEDeformableRegistrationFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('PDEDeformableRegistrationFilter', 'itk::PDEDeformableRegistrationFilter', 'itkPDEDeformableRegistrationFilterIUC3IUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPDEDeformableRegistrationFilterIUC3IUC3IVF33_Pointer', 'itk::PDEDeformableRegistrationFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('PDEDeformableRegistrationFilter', 'itk::PDEDeformableRegistrationFilter', 'itkPDEDeformableRegistrationFilterIUS2IUS2IVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPDEDeformableRegistrationFilterIUS2IUS2IVF22_Pointer', 'itk::PDEDeformableRegistrationFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('PDEDeformableRegistrationFilter', 'itk::PDEDeformableRegistrationFilter', 'itkPDEDeformableRegistrationFilterIUS3IUS3IVF33', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPDEDeformableRegistrationFilterIUS3IUS3IVF33_Pointer', 'itk::PDEDeformableRegistrationFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('PDEDeformableRegistrationFilter', 'itk::PDEDeformableRegistrationFilter', 'itkPDEDeformableRegistrationFilterIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPDEDeformableRegistrationFilterIF2IF2IVF22_Pointer', 'itk::PDEDeformableRegistrationFilter< itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('PDEDeformableRegistrationFilter', 'itk::PDEDeformableRegistrationFilter', 'itkPDEDeformableRegistrationFilterIF3IF3IVF33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPDEDeformableRegistrationFilterIF3IF3IVF33_Pointer', 'itk::PDEDeformableRegistrationFilter< itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS2ISS2IVF22', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPDEDeformableRegistrationFunctionISS2ISS2IVF22_Pointer', 'itk::PDEDeformableRegistrationFunction< itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS3ISS3IVF33', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPDEDeformableRegistrationFunctionISS3ISS3IVF33_Pointer', 'itk::PDEDeformableRegistrationFunction< itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC2IUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPDEDeformableRegistrationFunctionIUC2IUC2IVF22_Pointer', 'itk::PDEDeformableRegistrationFunction< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC3IUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPDEDeformableRegistrationFunctionIUC3IUC3IVF33_Pointer', 'itk::PDEDeformableRegistrationFunction< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS2IUS2IVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPDEDeformableRegistrationFunctionIUS2IUS2IVF22_Pointer', 'itk::PDEDeformableRegistrationFunction< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUS3IUS3IVF33', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPDEDeformableRegistrationFunctionIUS3IUS3IVF33_Pointer', 'itk::PDEDeformableRegistrationFunction< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPDEDeformableRegistrationFunctionIF2IF2IVF22_Pointer', 'itk::PDEDeformableRegistrationFunction< itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF3IF3IVF33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPDEDeformableRegistrationFunctionIF3IF3IVF33_Pointer', 'itk::PDEDeformableRegistrationFunction< itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionISS2ISS2IVF22', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkESMDemonsRegistrationFunctionISS2ISS2IVF22_Pointer', 'itk::ESMDemonsRegistrationFunction< itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionISS3ISS3IVF33', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkESMDemonsRegistrationFunctionISS3ISS3IVF33_Pointer', 'itk::ESMDemonsRegistrationFunction< itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIUC2IUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkESMDemonsRegistrationFunctionIUC2IUC2IVF22_Pointer', 'itk::ESMDemonsRegistrationFunction< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIUC3IUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkESMDemonsRegistrationFunctionIUC3IUC3IVF33_Pointer', 'itk::ESMDemonsRegistrationFunction< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIUS2IUS2IVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkESMDemonsRegistrationFunctionIUS2IUS2IVF22_Pointer', 'itk::ESMDemonsRegistrationFunction< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIUS3IUS3IVF33', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkESMDemonsRegistrationFunctionIUS3IUS3IVF33_Pointer', 'itk::ESMDemonsRegistrationFunction< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkESMDemonsRegistrationFunctionIF2IF2IVF22_Pointer', 'itk::ESMDemonsRegistrationFunction< itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('ESMDemonsRegistrationFunction', 'itk::ESMDemonsRegistrationFunction', 'itkESMDemonsRegistrationFunctionIF3IF3IVF33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkESMDemonsRegistrationFunctionIF3IF3IVF33_Pointer', 'itk::ESMDemonsRegistrationFunction< itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('DisplacementFieldJacobianDeterminantFilter', 'itk::DisplacementFieldJacobianDeterminantFilter', 'itkDisplacementFieldJacobianDeterminantFilterIVF22F', 'itk::Image< itk::Vector< float,2 >,2 >, float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDisplacementFieldJacobianDeterminantFilterIVF22F_Pointer', 'itk::DisplacementFieldJacobianDeterminantFilter< itk::Image< itk::Vector< float,2 >,2 >, float >'),
  ('DisplacementFieldJacobianDeterminantFilter', 'itk::DisplacementFieldJacobianDeterminantFilter', 'itkDisplacementFieldJacobianDeterminantFilterIVF33F', 'itk::Image< itk::Vector< float,3 >,3 >, float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDisplacementFieldJacobianDeterminantFilterIVF33F_Pointer', 'itk::DisplacementFieldJacobianDeterminantFilter< itk::Image< itk::Vector< float,3 >,3 >, float >'),
  ('DeformationFieldJacobianDeterminantFilter', 'itk::DeformationFieldJacobianDeterminantFilter', 'itkDeformationFieldJacobianDeterminantFilterIVF22F', 'itk::Image< itk::Vector< float,2 >,2 >, float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDeformationFieldJacobianDeterminantFilterIVF22F_Pointer', 'itk::DeformationFieldJacobianDeterminantFilter< itk::Image< itk::Vector< float,2 >,2 >, float >'),
  ('DeformationFieldJacobianDeterminantFilter', 'itk::DeformationFieldJacobianDeterminantFilter', 'itkDeformationFieldJacobianDeterminantFilterIVF33F', 'itk::Image< itk::Vector< float,3 >,3 >, float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDeformationFieldJacobianDeterminantFilterIVF33F_Pointer', 'itk::DeformationFieldJacobianDeterminantFilter< itk::Image< itk::Vector< float,3 >,3 >, float >'),
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterISS2ISS2IVF22', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDemonsRegistrationFilterISS2ISS2IVF22_Pointer', 'itk::DemonsRegistrationFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterISS3ISS3IVF33', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDemonsRegistrationFilterISS3ISS3IVF33_Pointer', 'itk::DemonsRegistrationFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterIUC2IUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDemonsRegistrationFilterIUC2IUC2IVF22_Pointer', 'itk::DemonsRegistrationFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterIUC3IUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDemonsRegistrationFilterIUC3IUC3IVF33_Pointer', 'itk::DemonsRegistrationFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterIUS2IUS2IVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDemonsRegistrationFilterIUS2IUS2IVF22_Pointer', 'itk::DemonsRegistrationFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterIUS3IUS3IVF33', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDemonsRegistrationFilterIUS3IUS3IVF33_Pointer', 'itk::DemonsRegistrationFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDemonsRegistrationFilterIF2IF2IVF22_Pointer', 'itk::DemonsRegistrationFilter< itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('DemonsRegistrationFilter', 'itk::DemonsRegistrationFilter', 'itkDemonsRegistrationFilterIF3IF3IVF33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDemonsRegistrationFilterIF3IF3IVF33_Pointer', 'itk::DemonsRegistrationFilter< itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterISS2ISS2IVF22', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDiffeomorphicDemonsRegistrationFilterISS2ISS2IVF22_Pointer', 'itk::DiffeomorphicDemonsRegistrationFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterISS3ISS3IVF33', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDiffeomorphicDemonsRegistrationFilterISS3ISS3IVF33_Pointer', 'itk::DiffeomorphicDemonsRegistrationFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIUC2IUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDiffeomorphicDemonsRegistrationFilterIUC2IUC2IVF22_Pointer', 'itk::DiffeomorphicDemonsRegistrationFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIUC3IUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDiffeomorphicDemonsRegistrationFilterIUC3IUC3IVF33_Pointer', 'itk::DiffeomorphicDemonsRegistrationFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIUS2IUS2IVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDiffeomorphicDemonsRegistrationFilterIUS2IUS2IVF22_Pointer', 'itk::DiffeomorphicDemonsRegistrationFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIUS3IUS3IVF33', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDiffeomorphicDemonsRegistrationFilterIUS3IUS3IVF33_Pointer', 'itk::DiffeomorphicDemonsRegistrationFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDiffeomorphicDemonsRegistrationFilterIF2IF2IVF22_Pointer', 'itk::DiffeomorphicDemonsRegistrationFilter< itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('DiffeomorphicDemonsRegistrationFilter', 'itk::DiffeomorphicDemonsRegistrationFilter', 'itkDiffeomorphicDemonsRegistrationFilterIF3IF3IVF33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDiffeomorphicDemonsRegistrationFilterIF3IF3IVF33_Pointer', 'itk::DiffeomorphicDemonsRegistrationFilter< itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('DifferenceOfGaussiansGradientImageFilter', 'itk::DifferenceOfGaussiansGradientImageFilter', 'itkDifferenceOfGaussiansGradientImageFilterISS2F', 'itk::Image< signed short,2 >, float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceOfGaussiansGradientImageFilterISS2F_Pointer', 'itk::DifferenceOfGaussiansGradientImageFilter< itk::Image< signed short,2 >, float >'),
  ('DifferenceOfGaussiansGradientImageFilter', 'itk::DifferenceOfGaussiansGradientImageFilter', 'itkDifferenceOfGaussiansGradientImageFilterIUC2F', 'itk::Image< unsigned char,2 >, float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceOfGaussiansGradientImageFilterIUC2F_Pointer', 'itk::DifferenceOfGaussiansGradientImageFilter< itk::Image< unsigned char,2 >, float >'),
  ('DifferenceOfGaussiansGradientImageFilter', 'itk::DifferenceOfGaussiansGradientImageFilter', 'itkDifferenceOfGaussiansGradientImageFilterIUS2F', 'itk::Image< unsigned short,2 >, float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceOfGaussiansGradientImageFilterIUS2F_Pointer', 'itk::DifferenceOfGaussiansGradientImageFilter< itk::Image< unsigned short,2 >, float >'),
  ('DifferenceOfGaussiansGradientImageFilter', 'itk::DifferenceOfGaussiansGradientImageFilter', 'itkDifferenceOfGaussiansGradientImageFilterIF2F', 'itk::Image< float,2 >, float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceOfGaussiansGradientImageFilterIF2F_Pointer', 'itk::DifferenceOfGaussiansGradientImageFilter< itk::Image< float,2 >, float >'),
  ('DifferenceOfGaussiansGradientImageFilter', 'itk::DifferenceOfGaussiansGradientImageFilter', 'itkDifferenceOfGaussiansGradientImageFilterISS3F', 'itk::Image< signed short,3 >, float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceOfGaussiansGradientImageFilterISS3F_Pointer', 'itk::DifferenceOfGaussiansGradientImageFilter< itk::Image< signed short,3 >, float >'),
  ('DifferenceOfGaussiansGradientImageFilter', 'itk::DifferenceOfGaussiansGradientImageFilter', 'itkDifferenceOfGaussiansGradientImageFilterIUC3F', 'itk::Image< unsigned char,3 >, float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceOfGaussiansGradientImageFilterIUC3F_Pointer', 'itk::DifferenceOfGaussiansGradientImageFilter< itk::Image< unsigned char,3 >, float >'),
  ('DifferenceOfGaussiansGradientImageFilter', 'itk::DifferenceOfGaussiansGradientImageFilter', 'itkDifferenceOfGaussiansGradientImageFilterIUS3F', 'itk::Image< unsigned short,3 >, float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceOfGaussiansGradientImageFilterIUS3F_Pointer', 'itk::DifferenceOfGaussiansGradientImageFilter< itk::Image< unsigned short,3 >, float >'),
  ('DifferenceOfGaussiansGradientImageFilter', 'itk::DifferenceOfGaussiansGradientImageFilter', 'itkDifferenceOfGaussiansGradientImageFilterIF3F', 'itk::Image< float,3 >, float'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceOfGaussiansGradientImageFilterIF3F_Pointer', 'itk::DifferenceOfGaussiansGradientImageFilter< itk::Image< float,3 >, float >'),
  ('EigenAnalysis2DImageFilter', 'itk::EigenAnalysis2DImageFilter', 'itkEigenAnalysis2DImageFilterIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkEigenAnalysis2DImageFilterIF2IF2IVF22_Pointer', 'itk::EigenAnalysis2DImageFilter< itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('ExponentialDeformationFieldImageFilter', 'itk::ExponentialDeformationFieldImageFilter', 'itkExponentialDeformationFieldImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkExponentialDeformationFieldImageFilterIVF22IVF22_Pointer', 'itk::ExponentialDeformationFieldImageFilter< itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('ExponentialDeformationFieldImageFilter', 'itk::ExponentialDeformationFieldImageFilter', 'itkExponentialDeformationFieldImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkExponentialDeformationFieldImageFilterIVF33IVF33_Pointer', 'itk::ExponentialDeformationFieldImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterISS2ISS2IVF22', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFastSymmetricForcesDemonsRegistrationFilterISS2ISS2IVF22_Pointer', 'itk::FastSymmetricForcesDemonsRegistrationFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterISS3ISS3IVF33', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFastSymmetricForcesDemonsRegistrationFilterISS3ISS3IVF33_Pointer', 'itk::FastSymmetricForcesDemonsRegistrationFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIUC2IUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFastSymmetricForcesDemonsRegistrationFilterIUC2IUC2IVF22_Pointer', 'itk::FastSymmetricForcesDemonsRegistrationFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIUC3IUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFastSymmetricForcesDemonsRegistrationFilterIUC3IUC3IVF33_Pointer', 'itk::FastSymmetricForcesDemonsRegistrationFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIUS2IUS2IVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFastSymmetricForcesDemonsRegistrationFilterIUS2IUS2IVF22_Pointer', 'itk::FastSymmetricForcesDemonsRegistrationFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIUS3IUS3IVF33', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFastSymmetricForcesDemonsRegistrationFilterIUS3IUS3IVF33_Pointer', 'itk::FastSymmetricForcesDemonsRegistrationFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFastSymmetricForcesDemonsRegistrationFilterIF2IF2IVF22_Pointer', 'itk::FastSymmetricForcesDemonsRegistrationFilter< itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('FastSymmetricForcesDemonsRegistrationFilter', 'itk::FastSymmetricForcesDemonsRegistrationFilter', 'itkFastSymmetricForcesDemonsRegistrationFilterIF3IF3IVF33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFastSymmetricForcesDemonsRegistrationFilterIF3IF3IVF33_Pointer', 'itk::FastSymmetricForcesDemonsRegistrationFilter< itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVF22ISS2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGridForwardWarpImageFilterIVF22ISS2_Pointer', 'itk::GridForwardWarpImageFilter< itk::Image< itk::Vector< float,2 >,2 >, itk::Image< signed short,2 > >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVF33ISS3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGridForwardWarpImageFilterIVF33ISS3_Pointer', 'itk::GridForwardWarpImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< signed short,3 > >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVF22IUC2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGridForwardWarpImageFilterIVF22IUC2_Pointer', 'itk::GridForwardWarpImageFilter< itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned char,2 > >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVF33IUC3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGridForwardWarpImageFilterIVF33IUC3_Pointer', 'itk::GridForwardWarpImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned char,3 > >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVF22IUS2', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGridForwardWarpImageFilterIVF22IUS2_Pointer', 'itk::GridForwardWarpImageFilter< itk::Image< itk::Vector< float,2 >,2 >, itk::Image< unsigned short,2 > >'),
  ('GridForwardWarpImageFilter', 'itk::GridForwardWarpImageFilter', 'itkGridForwardWarpImageFilterIVF33IUS3', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkGridForwardWarpImageFilterIVF33IUS3_Pointer', 'itk::GridForwardWarpImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< unsigned short,3 > >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageRegistrationMethodIUC2IUC2_Pointer', 'itk::ImageRegistrationMethod< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageRegistrationMethodIUC3IUC3_Pointer', 'itk::ImageRegistrationMethod< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageRegistrationMethodIUS2IUS2_Pointer', 'itk::ImageRegistrationMethod< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageRegistrationMethodIUS3IUS3_Pointer', 'itk::ImageRegistrationMethod< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageRegistrationMethodISS2ISS2_Pointer', 'itk::ImageRegistrationMethod< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageRegistrationMethodISS3ISS3_Pointer', 'itk::ImageRegistrationMethod< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageRegistrationMethodIF2IF2_Pointer', 'itk::ImageRegistrationMethod< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageRegistrationMethodIF3IF3_Pointer', 'itk::ImageRegistrationMethod< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageMetricIUC2IUC2_Pointer', 'itk::ImageToImageMetric< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageMetricIUC3IUC3_Pointer', 'itk::ImageToImageMetric< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageMetricIUS2IUS2_Pointer', 'itk::ImageToImageMetric< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageMetricIUS3IUS3_Pointer', 'itk::ImageToImageMetric< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageMetricISS2ISS2_Pointer', 'itk::ImageToImageMetric< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageMetricISS3ISS3_Pointer', 'itk::ImageToImageMetric< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageMetricIF2IF2_Pointer', 'itk::ImageToImageMetric< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageToImageMetricIF3IF3_Pointer', 'itk::ImageToImageMetric< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterISS2ISS2IVF22', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLevelSetMotionRegistrationFilterISS2ISS2IVF22_Pointer', 'itk::LevelSetMotionRegistrationFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterISS3ISS3IVF33', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLevelSetMotionRegistrationFilterISS3ISS3IVF33_Pointer', 'itk::LevelSetMotionRegistrationFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterIUC2IUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLevelSetMotionRegistrationFilterIUC2IUC2IVF22_Pointer', 'itk::LevelSetMotionRegistrationFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterIUC3IUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLevelSetMotionRegistrationFilterIUC3IUC3IVF33_Pointer', 'itk::LevelSetMotionRegistrationFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterIUS2IUS2IVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLevelSetMotionRegistrationFilterIUS2IUS2IVF22_Pointer', 'itk::LevelSetMotionRegistrationFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterIUS3IUS3IVF33', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLevelSetMotionRegistrationFilterIUS3IUS3IVF33_Pointer', 'itk::LevelSetMotionRegistrationFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLevelSetMotionRegistrationFilterIF2IF2IVF22_Pointer', 'itk::LevelSetMotionRegistrationFilter< itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('LevelSetMotionRegistrationFilter', 'itk::LevelSetMotionRegistrationFilter', 'itkLevelSetMotionRegistrationFilterIF3IF3IVF33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkLevelSetMotionRegistrationFilterIF3IF3IVF33_Pointer', 'itk::LevelSetMotionRegistrationFilter< itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMattesMutualInformationImageToImageMetricIUC2IUC2_Pointer', 'itk::MattesMutualInformationImageToImageMetric< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMattesMutualInformationImageToImageMetricIUC3IUC3_Pointer', 'itk::MattesMutualInformationImageToImageMetric< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMattesMutualInformationImageToImageMetricIUS2IUS2_Pointer', 'itk::MattesMutualInformationImageToImageMetric< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMattesMutualInformationImageToImageMetricIUS3IUS3_Pointer', 'itk::MattesMutualInformationImageToImageMetric< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMattesMutualInformationImageToImageMetricISS2ISS2_Pointer', 'itk::MattesMutualInformationImageToImageMetric< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMattesMutualInformationImageToImageMetricISS3ISS3_Pointer', 'itk::MattesMutualInformationImageToImageMetric< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMattesMutualInformationImageToImageMetricIF2IF2_Pointer', 'itk::MattesMutualInformationImageToImageMetric< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMattesMutualInformationImageToImageMetricIF3IF3_Pointer', 'itk::MattesMutualInformationImageToImageMetric< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUC2IUC2_Pointer', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUC3IUC3_Pointer', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUS2IUS2_Pointer', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUS3IUS3_Pointer', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanReciprocalSquareDifferenceImageToImageMetricISS2ISS2_Pointer', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanReciprocalSquareDifferenceImageToImageMetricISS3ISS3_Pointer', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIF2IF2_Pointer', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIF3IF3_Pointer', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanSquaresImageToImageMetricIUC2IUC2_Pointer', 'itk::MeanSquaresImageToImageMetric< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanSquaresImageToImageMetricIUC3IUC3_Pointer', 'itk::MeanSquaresImageToImageMetric< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanSquaresImageToImageMetricIUS2IUS2_Pointer', 'itk::MeanSquaresImageToImageMetric< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanSquaresImageToImageMetricIUS3IUS3_Pointer', 'itk::MeanSquaresImageToImageMetric< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanSquaresImageToImageMetricISS2ISS2_Pointer', 'itk::MeanSquaresImageToImageMetric< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanSquaresImageToImageMetricISS3ISS3_Pointer', 'itk::MeanSquaresImageToImageMetric< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanSquaresImageToImageMetricIF2IF2_Pointer', 'itk::MeanSquaresImageToImageMetric< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMeanSquaresImageToImageMetricIF3IF3_Pointer', 'itk::MeanSquaresImageToImageMetric< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMultiResolutionImageRegistrationMethodIUC2IUC2_Pointer', 'itk::MultiResolutionImageRegistrationMethod< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMultiResolutionImageRegistrationMethodIUC3IUC3_Pointer', 'itk::MultiResolutionImageRegistrationMethod< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMultiResolutionImageRegistrationMethodIUS2IUS2_Pointer', 'itk::MultiResolutionImageRegistrationMethod< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMultiResolutionImageRegistrationMethodIUS3IUS3_Pointer', 'itk::MultiResolutionImageRegistrationMethod< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMultiResolutionImageRegistrationMethodISS2ISS2_Pointer', 'itk::MultiResolutionImageRegistrationMethod< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMultiResolutionImageRegistrationMethodISS3ISS3_Pointer', 'itk::MultiResolutionImageRegistrationMethod< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMultiResolutionImageRegistrationMethodIF2IF2_Pointer', 'itk::MultiResolutionImageRegistrationMethod< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMultiResolutionImageRegistrationMethodIF3IF3_Pointer', 'itk::MultiResolutionImageRegistrationMethod< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMutualInformationImageToImageMetricIUC2IUC2_Pointer', 'itk::MutualInformationImageToImageMetric< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMutualInformationImageToImageMetricIUC3IUC3_Pointer', 'itk::MutualInformationImageToImageMetric< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMutualInformationImageToImageMetricIUS2IUS2_Pointer', 'itk::MutualInformationImageToImageMetric< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMutualInformationImageToImageMetricIUS3IUS3_Pointer', 'itk::MutualInformationImageToImageMetric< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMutualInformationImageToImageMetricISS2ISS2_Pointer', 'itk::MutualInformationImageToImageMetric< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMutualInformationImageToImageMetricISS3ISS3_Pointer', 'itk::MutualInformationImageToImageMetric< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMutualInformationImageToImageMetricIF2IF2_Pointer', 'itk::MutualInformationImageToImageMetric< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkMutualInformationImageToImageMetricIF3IF3_Pointer', 'itk::MutualInformationImageToImageMetric< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizedCorrelationImageToImageMetricIUC2IUC2_Pointer', 'itk::NormalizedCorrelationImageToImageMetric< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizedCorrelationImageToImageMetricIUC3IUC3_Pointer', 'itk::NormalizedCorrelationImageToImageMetric< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizedCorrelationImageToImageMetricIUS2IUS2_Pointer', 'itk::NormalizedCorrelationImageToImageMetric< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizedCorrelationImageToImageMetricIUS3IUS3_Pointer', 'itk::NormalizedCorrelationImageToImageMetric< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizedCorrelationImageToImageMetricISS2ISS2_Pointer', 'itk::NormalizedCorrelationImageToImageMetric< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizedCorrelationImageToImageMetricISS3ISS3_Pointer', 'itk::NormalizedCorrelationImageToImageMetric< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizedCorrelationImageToImageMetricIF2IF2_Pointer', 'itk::NormalizedCorrelationImageToImageMetric< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkNormalizedCorrelationImageToImageMetricIF3IF3_Pointer', 'itk::NormalizedCorrelationImageToImageMetric< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterISS2ISS2IVF22', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSymmetricForcesDemonsRegistrationFilterISS2ISS2IVF22_Pointer', 'itk::SymmetricForcesDemonsRegistrationFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterISS3ISS3IVF33', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSymmetricForcesDemonsRegistrationFilterISS3ISS3IVF33_Pointer', 'itk::SymmetricForcesDemonsRegistrationFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterIUC2IUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSymmetricForcesDemonsRegistrationFilterIUC2IUC2IVF22_Pointer', 'itk::SymmetricForcesDemonsRegistrationFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterIUC3IUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSymmetricForcesDemonsRegistrationFilterIUC3IUC3IVF33_Pointer', 'itk::SymmetricForcesDemonsRegistrationFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterIUS2IUS2IVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSymmetricForcesDemonsRegistrationFilterIUS2IUS2IVF22_Pointer', 'itk::SymmetricForcesDemonsRegistrationFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterIUS3IUS3IVF33', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSymmetricForcesDemonsRegistrationFilterIUS3IUS3IVF33_Pointer', 'itk::SymmetricForcesDemonsRegistrationFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSymmetricForcesDemonsRegistrationFilterIF2IF2IVF22_Pointer', 'itk::SymmetricForcesDemonsRegistrationFilter< itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('SymmetricForcesDemonsRegistrationFilter', 'itk::SymmetricForcesDemonsRegistrationFilter', 'itkSymmetricForcesDemonsRegistrationFilterIF3IF3IVF33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkSymmetricForcesDemonsRegistrationFilterIF3IF3IVF33_Pointer', 'itk::SymmetricForcesDemonsRegistrationFilter< itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('VectorResampleImageFilter', 'itk::VectorResampleImageFilter', 'itkVectorResampleImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorResampleImageFilterIVF22IVF22_Pointer', 'itk::VectorResampleImageFilter< itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('VectorResampleImageFilter', 'itk::VectorResampleImageFilter', 'itkVectorResampleImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorResampleImageFilterIVF33IVF33_Pointer', 'itk::VectorResampleImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
)
