depends = ( 'Base', 'BaseTransforms',)
templates = (
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterISS2ISS2_Pointer', 'itk::CastImageFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterISS3ISS3_Pointer', 'itk::CastImageFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS2IUC2', 'itk::Image< signed short,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterISS2IUC2_Pointer', 'itk::CastImageFilter< itk::Image< signed short,2 >, itk::Image< unsigned char,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS3IUC3', 'itk::Image< signed short,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterISS3IUC3_Pointer', 'itk::CastImageFilter< itk::Image< signed short,3 >, itk::Image< unsigned char,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS2IUS2', 'itk::Image< signed short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterISS2IUS2_Pointer', 'itk::CastImageFilter< itk::Image< signed short,2 >, itk::Image< unsigned short,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS3IUS3', 'itk::Image< signed short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterISS3IUS3_Pointer', 'itk::CastImageFilter< itk::Image< signed short,3 >, itk::Image< unsigned short,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS2IF2', 'itk::Image< signed short,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterISS2IF2_Pointer', 'itk::CastImageFilter< itk::Image< signed short,2 >, itk::Image< float,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS3IF3', 'itk::Image< signed short,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterISS3IF3_Pointer', 'itk::CastImageFilter< itk::Image< signed short,3 >, itk::Image< float,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2ISS2', 'itk::Image< unsigned char,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUC2ISS2_Pointer', 'itk::CastImageFilter< itk::Image< unsigned char,2 >, itk::Image< signed short,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3ISS3', 'itk::Image< unsigned char,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUC3ISS3_Pointer', 'itk::CastImageFilter< itk::Image< unsigned char,3 >, itk::Image< signed short,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUC2IUC2_Pointer', 'itk::CastImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUC3IUC3_Pointer', 'itk::CastImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IUS2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUC2IUS2_Pointer', 'itk::CastImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned short,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3IUS3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUC3IUS3_Pointer', 'itk::CastImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned short,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2IF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUC2IF2_Pointer', 'itk::CastImageFilter< itk::Image< unsigned char,2 >, itk::Image< float,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3IF3', 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUC3IF3_Pointer', 'itk::CastImageFilter< itk::Image< unsigned char,3 >, itk::Image< float,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2ISS2', 'itk::Image< unsigned short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUS2ISS2_Pointer', 'itk::CastImageFilter< itk::Image< unsigned short,2 >, itk::Image< signed short,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS3ISS3', 'itk::Image< unsigned short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUS3ISS3_Pointer', 'itk::CastImageFilter< itk::Image< unsigned short,3 >, itk::Image< signed short,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2IUC2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUS2IUC2_Pointer', 'itk::CastImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned char,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS3IUC3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUS3IUC3_Pointer', 'itk::CastImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned char,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUS2IUS2_Pointer', 'itk::CastImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUS3IUS3_Pointer', 'itk::CastImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2IF2', 'itk::Image< unsigned short,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUS2IF2_Pointer', 'itk::CastImageFilter< itk::Image< unsigned short,2 >, itk::Image< float,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS3IF3', 'itk::Image< unsigned short,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIUS3IF3_Pointer', 'itk::CastImageFilter< itk::Image< unsigned short,3 >, itk::Image< float,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2ISS2', 'itk::Image< float,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIF2ISS2_Pointer', 'itk::CastImageFilter< itk::Image< float,2 >, itk::Image< signed short,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3ISS3', 'itk::Image< float,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIF3ISS3_Pointer', 'itk::CastImageFilter< itk::Image< float,3 >, itk::Image< signed short,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIF2IUC2_Pointer', 'itk::CastImageFilter< itk::Image< float,2 >, itk::Image< unsigned char,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIF3IUC3_Pointer', 'itk::CastImageFilter< itk::Image< float,3 >, itk::Image< unsigned char,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IUS2', 'itk::Image< float,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIF2IUS2_Pointer', 'itk::CastImageFilter< itk::Image< float,2 >, itk::Image< unsigned short,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3IUS3', 'itk::Image< float,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIF3IUS3_Pointer', 'itk::CastImageFilter< itk::Image< float,3 >, itk::Image< unsigned short,3 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIF2IF2_Pointer', 'itk::CastImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkCastImageFilterIF3IF3_Pointer', 'itk::CastImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkChangeInformationImageFilterIUC2_Pointer', 'itk::ChangeInformationImageFilter< itk::Image< unsigned char,2 > >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkChangeInformationImageFilterIUC3_Pointer', 'itk::ChangeInformationImageFilter< itk::Image< unsigned char,3 > >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkChangeInformationImageFilterIUS2_Pointer', 'itk::ChangeInformationImageFilter< itk::Image< unsigned short,2 > >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkChangeInformationImageFilterIUS3_Pointer', 'itk::ChangeInformationImageFilter< itk::Image< unsigned short,3 > >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterISS2', 'itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkChangeInformationImageFilterISS2_Pointer', 'itk::ChangeInformationImageFilter< itk::Image< signed short,2 > >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterISS3', 'itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkChangeInformationImageFilterISS3_Pointer', 'itk::ChangeInformationImageFilter< itk::Image< signed short,3 > >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkChangeInformationImageFilterIF2_Pointer', 'itk::ChangeInformationImageFilter< itk::Image< float,2 > >'),
  ('ChangeInformationImageFilter', 'itk::ChangeInformationImageFilter', 'itkChangeInformationImageFilterIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkChangeInformationImageFilterIF3_Pointer', 'itk::ChangeInformationImageFilter< itk::Image< float,3 > >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceImageFilterIUC2IUC2_Pointer', 'itk::DifferenceImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceImageFilterIUC3IUC3_Pointer', 'itk::DifferenceImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceImageFilterIUS2IUS2_Pointer', 'itk::DifferenceImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceImageFilterIUS3IUS3_Pointer', 'itk::DifferenceImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceImageFilterISS2ISS2_Pointer', 'itk::DifferenceImageFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceImageFilterISS3ISS3_Pointer', 'itk::DifferenceImageFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceImageFilterIF2IF2_Pointer', 'itk::DifferenceImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('DifferenceImageFilter', 'itk::DifferenceImageFilter', 'itkDifferenceImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkDifferenceImageFilterIF3IF3_Pointer', 'itk::DifferenceImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFlipImageFilterIUC2_Pointer', 'itk::FlipImageFilter< itk::Image< unsigned char,2 > >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFlipImageFilterIUC3_Pointer', 'itk::FlipImageFilter< itk::Image< unsigned char,3 > >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFlipImageFilterIUS2_Pointer', 'itk::FlipImageFilter< itk::Image< unsigned short,2 > >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFlipImageFilterIUS3_Pointer', 'itk::FlipImageFilter< itk::Image< unsigned short,3 > >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterISS2', 'itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFlipImageFilterISS2_Pointer', 'itk::FlipImageFilter< itk::Image< signed short,2 > >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterISS3', 'itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFlipImageFilterISS3_Pointer', 'itk::FlipImageFilter< itk::Image< signed short,3 > >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFlipImageFilterIF2_Pointer', 'itk::FlipImageFilter< itk::Image< float,2 > >'),
  ('FlipImageFilter', 'itk::FlipImageFilter', 'itkFlipImageFilterIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkFlipImageFilterIF3_Pointer', 'itk::FlipImageFilter< itk::Image< float,3 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorIRGBUC2_Pointer', 'itk::ImageDuplicator< itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorIRGBUC3_Pointer', 'itk::ImageDuplicator< itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorIRGBUS2_Pointer', 'itk::ImageDuplicator< itk::Image< itk::RGBPixel< unsigned short >,2 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorIRGBUS3_Pointer', 'itk::ImageDuplicator< itk::Image< itk::RGBPixel< unsigned short >,3 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIRGBAUS2', 'itk::Image< itk::RGBAPixel< unsigned short >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorIRGBAUS2_Pointer', 'itk::ImageDuplicator< itk::Image< itk::RGBAPixel< unsigned short >,2 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIRGBAUS3', 'itk::Image< itk::RGBAPixel< unsigned short >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorIRGBAUS3_Pointer', 'itk::ImageDuplicator< itk::Image< itk::RGBAPixel< unsigned short >,3 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorIVF22_Pointer', 'itk::ImageDuplicator< itk::Image< itk::Vector< float,2 >,2 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorIVF33_Pointer', 'itk::ImageDuplicator< itk::Image< itk::Vector< float,3 >,3 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorICVF22_Pointer', 'itk::ImageDuplicator< itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorICVF33_Pointer', 'itk::ImageDuplicator< itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorISS2', 'itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorISS2_Pointer', 'itk::ImageDuplicator< itk::Image< signed short,2 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorISS3', 'itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorISS3_Pointer', 'itk::ImageDuplicator< itk::Image< signed short,3 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorIUC2_Pointer', 'itk::ImageDuplicator< itk::Image< unsigned char,2 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorIUC3_Pointer', 'itk::ImageDuplicator< itk::Image< unsigned char,3 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorIUS2_Pointer', 'itk::ImageDuplicator< itk::Image< unsigned short,2 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorIUS3_Pointer', 'itk::ImageDuplicator< itk::Image< unsigned short,3 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorIF2_Pointer', 'itk::ImageDuplicator< itk::Image< float,2 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorIF3_Pointer', 'itk::ImageDuplicator< itk::Image< float,3 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorICF2', 'itk::Image< std::complex< float >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorICF2_Pointer', 'itk::ImageDuplicator< itk::Image< std::complex< float >,2 > >'),
  ('ImageDuplicator', 'itk::ImageDuplicator', 'itkImageDuplicatorICF3', 'itk::Image< std::complex< float >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImageDuplicatorICF3_Pointer', 'itk::ImageDuplicator< itk::Image< std::complex< float >,3 > >'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterSS2', 'signed short,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImportImageFilterSS2_Pointer', 'itk::ImportImageFilter< signed short,2 >'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterUC2', 'unsigned char,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImportImageFilterUC2_Pointer', 'itk::ImportImageFilter< unsigned char,2 >'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterUS2', 'unsigned short,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImportImageFilterUS2_Pointer', 'itk::ImportImageFilter< unsigned short,2 >'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterF2', 'float,2'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImportImageFilterF2_Pointer', 'itk::ImportImageFilter< float,2 >'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterSS3', 'signed short,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImportImageFilterSS3_Pointer', 'itk::ImportImageFilter< signed short,3 >'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterUC3', 'unsigned char,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImportImageFilterUC3_Pointer', 'itk::ImportImageFilter< unsigned char,3 >'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterUS3', 'unsigned short,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImportImageFilterUS3_Pointer', 'itk::ImportImageFilter< unsigned short,3 >'),
  ('ImportImageFilter', 'itk::ImportImageFilter', 'itkImportImageFilterF3', 'float,3'),
  ('SmartPointer', 'itk::SmartPointer', 'itkImportImageFilterF3_Pointer', 'itk::ImportImageFilter< float,3 >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPermuteAxesImageFilterIUC2_Pointer', 'itk::PermuteAxesImageFilter< itk::Image< unsigned char,2 > >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPermuteAxesImageFilterIUC3_Pointer', 'itk::PermuteAxesImageFilter< itk::Image< unsigned char,3 > >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPermuteAxesImageFilterIUS2_Pointer', 'itk::PermuteAxesImageFilter< itk::Image< unsigned short,2 > >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPermuteAxesImageFilterIUS3_Pointer', 'itk::PermuteAxesImageFilter< itk::Image< unsigned short,3 > >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterISS2', 'itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPermuteAxesImageFilterISS2_Pointer', 'itk::PermuteAxesImageFilter< itk::Image< signed short,2 > >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterISS3', 'itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPermuteAxesImageFilterISS3_Pointer', 'itk::PermuteAxesImageFilter< itk::Image< signed short,3 > >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPermuteAxesImageFilterIF2_Pointer', 'itk::PermuteAxesImageFilter< itk::Image< float,2 > >'),
  ('PermuteAxesImageFilter', 'itk::PermuteAxesImageFilter', 'itkPermuteAxesImageFilterIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkPermuteAxesImageFilterIF3_Pointer', 'itk::PermuteAxesImageFilter< itk::Image< float,3 > >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRandomImageSourceIUC2_Pointer', 'itk::RandomImageSource< itk::Image< unsigned char,2 > >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRandomImageSourceIUC3_Pointer', 'itk::RandomImageSource< itk::Image< unsigned char,3 > >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRandomImageSourceIUS2_Pointer', 'itk::RandomImageSource< itk::Image< unsigned short,2 > >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRandomImageSourceIUS3_Pointer', 'itk::RandomImageSource< itk::Image< unsigned short,3 > >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceISS2', 'itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRandomImageSourceISS2_Pointer', 'itk::RandomImageSource< itk::Image< signed short,2 > >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceISS3', 'itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRandomImageSourceISS3_Pointer', 'itk::RandomImageSource< itk::Image< signed short,3 > >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRandomImageSourceIF2_Pointer', 'itk::RandomImageSource< itk::Image< float,2 > >'),
  ('RandomImageSource', 'itk::RandomImageSource', 'itkRandomImageSourceIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkRandomImageSourceIF3_Pointer', 'itk::RandomImageSource< itk::Image< float,3 > >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReflectImageFilterIUC2IUC2_Pointer', 'itk::ReflectImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReflectImageFilterIUC3IUC3_Pointer', 'itk::ReflectImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReflectImageFilterIUS2IUS2_Pointer', 'itk::ReflectImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReflectImageFilterIUS3IUS3_Pointer', 'itk::ReflectImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReflectImageFilterISS2ISS2_Pointer', 'itk::ReflectImageFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReflectImageFilterISS3ISS3_Pointer', 'itk::ReflectImageFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReflectImageFilterIF2IF2_Pointer', 'itk::ReflectImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('ReflectImageFilter', 'itk::ReflectImageFilter', 'itkReflectImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkReflectImageFilterIF3IF3_Pointer', 'itk::ReflectImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkResampleImageFilterIUC2IUC2_Pointer', 'itk::ResampleImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkResampleImageFilterIUC3IUC3_Pointer', 'itk::ResampleImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkResampleImageFilterIUS2IUS2_Pointer', 'itk::ResampleImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkResampleImageFilterIUS3IUS3_Pointer', 'itk::ResampleImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkResampleImageFilterISS2ISS2_Pointer', 'itk::ResampleImageFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkResampleImageFilterISS3ISS3_Pointer', 'itk::ResampleImageFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkResampleImageFilterIF2IF2_Pointer', 'itk::ResampleImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('ResampleImageFilter', 'itk::ResampleImageFilter', 'itkResampleImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkResampleImageFilterIF3IF3_Pointer', 'itk::ResampleImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkStreamingImageFilterIUC2IUC2_Pointer', 'itk::StreamingImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 > >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkStreamingImageFilterIUC3IUC3_Pointer', 'itk::StreamingImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 > >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIUS2IUS2', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkStreamingImageFilterIUS2IUS2_Pointer', 'itk::StreamingImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 > >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIUS3IUS3', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkStreamingImageFilterIUS3IUS3_Pointer', 'itk::StreamingImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 > >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkStreamingImageFilterISS2ISS2_Pointer', 'itk::StreamingImageFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 > >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkStreamingImageFilterISS3ISS3_Pointer', 'itk::StreamingImageFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 > >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkStreamingImageFilterIF2IF2_Pointer', 'itk::StreamingImageFilter< itk::Image< float,2 >, itk::Image< float,2 > >'),
  ('StreamingImageFilter', 'itk::StreamingImageFilter', 'itkStreamingImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkStreamingImageFilterIF3IF3_Pointer', 'itk::StreamingImageFilter< itk::Image< float,3 >, itk::Image< float,3 > >'),
  ('VTKImageExportBase', 'itk::VTKImageExportBase', 'itkVTKImageExportBase'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageExportBase_Pointer', 'itk::VTKImageExportBase'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportISS2', 'itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageExportISS2_Pointer', 'itk::VTKImageExport< itk::Image< signed short,2 > >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportISS3', 'itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageExportISS3_Pointer', 'itk::VTKImageExport< itk::Image< signed short,3 > >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageExportIUC2_Pointer', 'itk::VTKImageExport< itk::Image< unsigned char,2 > >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageExportIUC3_Pointer', 'itk::VTKImageExport< itk::Image< unsigned char,3 > >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageExportIUS2_Pointer', 'itk::VTKImageExport< itk::Image< unsigned short,2 > >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageExportIUS3_Pointer', 'itk::VTKImageExport< itk::Image< unsigned short,3 > >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageExportIF2_Pointer', 'itk::VTKImageExport< itk::Image< float,2 > >'),
  ('VTKImageExport', 'itk::VTKImageExport', 'itkVTKImageExportIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageExportIF3_Pointer', 'itk::VTKImageExport< itk::Image< float,3 > >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportISS2', 'itk::Image< signed short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageImportISS2_Pointer', 'itk::VTKImageImport< itk::Image< signed short,2 > >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportISS3', 'itk::Image< signed short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageImportISS3_Pointer', 'itk::VTKImageImport< itk::Image< signed short,3 > >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIUC2', 'itk::Image< unsigned char,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageImportIUC2_Pointer', 'itk::VTKImageImport< itk::Image< unsigned char,2 > >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIUC3', 'itk::Image< unsigned char,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageImportIUC3_Pointer', 'itk::VTKImageImport< itk::Image< unsigned char,3 > >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIUS2', 'itk::Image< unsigned short,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageImportIUS2_Pointer', 'itk::VTKImageImport< itk::Image< unsigned short,2 > >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIUS3', 'itk::Image< unsigned short,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageImportIUS3_Pointer', 'itk::VTKImageImport< itk::Image< unsigned short,3 > >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIF2', 'itk::Image< float,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageImportIF2_Pointer', 'itk::VTKImageImport< itk::Image< float,2 > >'),
  ('VTKImageImport', 'itk::VTKImageImport', 'itkVTKImageImportIF3', 'itk::Image< float,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVTKImageImportIF3_Pointer', 'itk::VTKImageImport< itk::Image< float,3 > >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorCastImageFilterIVF22IVF22_Pointer', 'itk::VectorCastImageFilter< itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorCastImageFilterIVF33IVF33_Pointer', 'itk::VectorCastImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF22ICVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorCastImageFilterIVF22ICVF22_Pointer', 'itk::VectorCastImageFilter< itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIVF33ICVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorCastImageFilterIVF33ICVF33_Pointer', 'itk::VectorCastImageFilter< itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF22IVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorCastImageFilterICVF22IVF22_Pointer', 'itk::VectorCastImageFilter< itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF33IVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorCastImageFilterICVF33IVF33_Pointer', 'itk::VectorCastImageFilter< itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorCastImageFilterICVF22ICVF22_Pointer', 'itk::VectorCastImageFilter< itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 > >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorCastImageFilterICVF33ICVF33_Pointer', 'itk::VectorCastImageFilter< itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 > >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUC2IRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorCastImageFilterIRGBUC2IRGBUC2_Pointer', 'itk::VectorCastImageFilter< itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUC3IRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorCastImageFilterIRGBUC3IRGBUC3_Pointer', 'itk::VectorCastImageFilter< itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUC2IRGBUS2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorCastImageFilterIRGBUC2IRGBUS2_Pointer', 'itk::VectorCastImageFilter< itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 > >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUC3IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorCastImageFilterIRGBUC3IRGBUS3_Pointer', 'itk::VectorCastImageFilter< itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 > >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUS2IRGBUC2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorCastImageFilterIRGBUS2IRGBUC2_Pointer', 'itk::VectorCastImageFilter< itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 > >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUS3IRGBUC3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorCastImageFilterIRGBUS3IRGBUC3_Pointer', 'itk::VectorCastImageFilter< itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 > >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUS2IRGBUS2', 'itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorCastImageFilterIRGBUS2IRGBUS2_Pointer', 'itk::VectorCastImageFilter< itk::Image< itk::RGBPixel< unsigned short >,2 >, itk::Image< itk::RGBPixel< unsigned short >,2 > >'),
  ('VectorCastImageFilter', 'itk::VectorCastImageFilter', 'itkVectorCastImageFilterIRGBUS3IRGBUS3', 'itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkVectorCastImageFilterIRGBUS3IRGBUS3_Pointer', 'itk::VectorCastImageFilter< itk::Image< itk::RGBPixel< unsigned short >,3 >, itk::Image< itk::RGBPixel< unsigned short >,3 > >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterISS2ISS2IVF22', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkWarpImageFilterISS2ISS2IVF22_Pointer', 'itk::WarpImageFilter< itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterISS3ISS3IVF33', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkWarpImageFilterISS3ISS3IVF33_Pointer', 'itk::WarpImageFilter< itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIUC2IUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkWarpImageFilterIUC2IUC2IVF22_Pointer', 'itk::WarpImageFilter< itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIUC3IUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkWarpImageFilterIUC3IUC3IVF33_Pointer', 'itk::WarpImageFilter< itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIUS2IUS2IVF22', 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkWarpImageFilterIUS2IUS2IVF22_Pointer', 'itk::WarpImageFilter< itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIUS3IUS3IVF33', 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkWarpImageFilterIUS3IUS3IVF33_Pointer', 'itk::WarpImageFilter< itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkWarpImageFilterIF2IF2IVF22_Pointer', 'itk::WarpImageFilter< itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 > >'),
  ('WarpImageFilter', 'itk::WarpImageFilter', 'itkWarpImageFilterIF3IF3IVF33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('SmartPointer', 'itk::SmartPointer', 'itkWarpImageFilterIF3IF3IVF33_Pointer', 'itk::WarpImageFilter< itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 > >'),
)
